<?php use_helper('UrlFunctions'); ?>

<?php
if($typeSubmit){
	if(is_array($idColaborador)){
		foreach ($idColaborador as $key =>$valor){
			$o_ColaboradorBean = new ColaboradorBean();
			$o_ColaboradorBean->setIdColaborador($valor);
			$o_ColaboradorBean->setEstado($typeSubmit);
			$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);
			$o_ColaboradorDP->update();
		}
	}
}



if($metodo){
	
	//Abrir periodo del colaborador
	$o_CierrePedidoDP = new CierrePedidoDP(new CierrePedidoBean());
		
	switch ($metodo){
		
		case '1' : 
		case '2' :
					$o_CierrePedidoDP->operacionPeriodoParcial($metodo,$fecha,$idsucursal,$idcolaborador);
					echo "metodo ".$metodo;
					
				    ?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&insert=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?
				  
					
					break;
				
		//Cierre total de la fecha de la sucursal para la fecha determinada
		case '3' : 				
		case '4' : 
					$o_CierrePedidoDP->operacionPeriodoTotal($metodo,$fecha,$idsucursal,$idcolaborador);
					echo "metodo ".$metodo;
					
					?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/list')?>','&block=001&update=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?php 
					break;
	}
	
}

?>


<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
  
  function check_uncheck(elem){
	
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			node.checked = elem.checked;
		});
	}
	
	function check_uncheck_det(elem){
		var vcheck = true;
		
		
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			if(node.checked == false){
				vcheck = false;
				$('idItemx').checked = vcheck;
				return true;
			}
		});
		$('idItemx').checked = vcheck;
	}
</script>

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>

function abrirperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='1';
		$('form1').submit();
	}
}


function cerrarperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='2';
		$('form1').submit();
	}
}

function abrirperiodototal(fecha){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha)){
		$('fecha').value=fecha;
		$('metodo').value='3';
		$('form1').submit();
	}
	
}
</script>
<?php

$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdSucursal($id);

$o_sucursalDP = new SucursalDP($o_SucursalBean);

$a_o_sucursales = $o_sucursalDP->select();

foreach ($a_o_sucursales as $iKey => $o_sucursales){ 
		$idsucursal = $idsucursal;
		$IdAdministrador = $o_sucursales->getIdAdministrador();
		$descripcionSucursal = $o_sucursales->getDescripcion();
}



$a_representantes1=array();
$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdPadre($IdAdministrador);
$o_ColaboradorBean->setEliminado('0');
$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);

$a_representantes1 = $o_ColaboradorDP->select();



$a_representantes2=array();
$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador($IdAdministrador);
$o_ColaboradorBean->setEliminado('0');
$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);

$a_representantes2 = $o_ColaboradorDP->select();

$a_representantes = array_merge($a_representantes1,$a_representantes2);

?>


<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Acceso</li>
            <span class="subtitle"><I>Acceso al sistema</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
      	<input type="hidden" name="control" value="1">
      
      	<input type="hidden" name="idcolaborador" id="idcolaborador" value="">
      	<input type="hidden" name="idsucursal" id="idsucursal" value="<?=$idsucursal?>">
      	<input type="hidden" name="metodo" id="metodo" value=""> 
      	
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="0" cellspacing="6" cellpadding="0">
								<tr>
									<td nowrap="nowrap" width="10%"><label class="label1" for="txtRepresentante" >Sucursal:</label></td>
									<td nowrap="nowrap" ><label class="label1 req"><?=$descripcionSucursal?></label></td>
								</tr>
							    
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table hspace="20px">
			<tr>
				<td><label class="label">Lista de Representantes</label></td>
			</tr>
		</table>
		<table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="1" cellspacing="0" cellpadding="0" >
								<tr>
									<th nowrap="nowrap" width="3%" style="background:#ff9900"><label class="label"><input type="checkbox" name="idItemx" id="idItemx" onclick="check_uncheck(this)"></label></th>
									<th nowrap="nowrap" width="50%" style="background:#ff9900"><label class="label" style="font:12px; font-weight:bold; color:#FFF;">Representante</label></th>
									<th nowrap="nowrap" width="8%" style="background:#ff9900"><label class="label" style="font:12px; font-weight:bold; color:#FFF;">Tipo</label></th>
									<th nowrap="nowrap" width="8%" style="background:#ff9900"><label class="label" style="font:12px; font-weight:bold; color:#FFF;">Usuario</label></th>
									<th nowrap="nowrap" width="8%" style="background:#ff9900"><label class="label" style="font:12px; font-weight:bold; color:#FFF;">Estado</label></th>
									
									
									
								</tr>
							    <?php if(is_array($a_representantes)){
							    		
								    	foreach ($a_representantes as $keyR => $o_representante){
								    		
										   
									    	?>
									    	<tr nowrap="nowrap" width="10%">
										    	<td><label class="label"><input type="checkbox" name="idColaborador[]" class="check_" value="<?=$o_representante->getIdColaborador()?>"  onclick="check_uncheck_det(this)"></label></td>
										    	<td><label class="label1"><?=$o_representante->getNombreCompleto()?></label></td>
										    	<td align="center"><label class="label1"><?=$o_representante->getIdRol()?></label></td>
										    	<td align="center"><label class="label1"><?=$o_representante->getUsuario()?></label></td>
										    	<td align="center"><label class="label1"><?php if($o_representante->getEstado() == "A") echo "Activo";else echo "Inactivo"?></label></td>
										    	
										    											    	
									    	</tr>
									  
								    	 <?php }?>
									    	
							  		<?php  }?>
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table align="center" width="100%">
			<tr>
			<td align="center" colspan="5">
			 <input type="hidden" name="typeSubmit" id="typeSubmit">
			  <input class="button" type="button" value="Activar" onclick="$('typeSubmit').value='A';$(form1).submit()"/>
			  <input class="button" type="button" value="Inactivar" onclick="$('typeSubmit').value='I';$(form1).submit()"/>
			</td>
			</tr>
			<tr>
			<td height="10" colspan="5">&nbsp;</td>
			</tr>
		</table>
 </form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>